cURL
curl --request GET \
--url https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data/{employee}/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data/{employee}/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data/{employee}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"employeeDataId": "11111111-1111-1111-1111-111111111111",
"payrollConnectionId": "00000000-0000-0000-0000-000000000000",
"payrollPlatformEmployeeIdentifier": "PPL-98765",
"payrollPlatformDisplayIdentifier": "EMP-12345",
"ssn": "123-45-6789",
"addresses": [
{
"address1": "123 Main St",
"address2": "Apt 4B",
"city": "San Francisco",
"countryCode": "US",
"state": "CA",
"zip": "94102"
}
],
"contact": {
"emailPersonal": null,
"emailWork": "john.doe@example.com",
"phoneNumberPersonal": null,
"phoneNumberPersonalHome": null,
"phoneNumberPersonalMobile": "+11235550123",
"phoneNumberWork": null,
"phoneNumberWorkHome": null,
"phoneNumberWorkMobile": null
},
"dateOfBirth": "1985-06-15",
"firstName": "John",
"lastName": "Doe",
"middleName": "Robert",
"maritalStatus": "M",
"sex": "M",
"adjustedServiceDate": null,
"hireDate": "2020-03-15",
"isContractor": false,
"leaveStartDate": null,
"leaveEndDate": null,
"rehireDate": null,
"seniorityDate": "2020-03-15",
"employmentStatus": "A",
"terminationDate": null,
"employmentType": "F",
"payRates": [
{
"amount": "75000.00",
"default": true,
"type": "ANNUAL"
}
],
"payFrequency": "BI_WEEKLY",
"payType": "S"
}
],
"meta": {
"currentCount": 1,
"filters": {},
"limit": 20,
"offset": 0,
"sort": "id",
"totalCount": 1
}
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Employee Data
List Employee Data Profiles
Retrieves specific employee data under a payroll connection when more than one may exist
GET
/
v1
/
payroll-connections
/
{payroll_connection}
/
employee-data
/
{employee}
/
profiles
cURL
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
ID of the payroll connection
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ID of the employee
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Maximum number of records to return
Required range:
1 <= x <= 4294967295Number of records to skip from the beginning
Required range:
0 <= x <= 4294967295Comma-separated list of fields to sort by. Prefix with - for descending order
Pattern:
^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$